Subject: Re: Floating Point Usage
From: [email-masked] (Fergus Henderson)

3 May 1998 05:15:03 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Dan Paslawski <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

On 01-May-1998, Dan Paslawski <[email-masked]> wrote:
> I am porting an application from Linux to Windows NT which makes intensive
> usage of floating point operations.  I am finding slight differences in calculations
> between Linux (GNU Version ??) and Windows NT (using Cygwin32 B19.0), on the
> same machine.  To
> be specific, floating point operations such as multiplication and division are 
> occasionally producing differences (Linux vs WinNt) on the order of one or two bits.
> I would have thought the two OS's should produce identical results.

On x86, the floating point registers have more precision than
`double'; thus the results of a computation may depend on
when the compiler flushes intermediate results from registers
to memory.  Compiling with a different version of the compiler
or with different optimization flags may lead to different
results, even on the same OS.

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".